# petsc4py.PETSc.SNES.NormSchedule

class petsc4py.PETSc.SNES.NormSchedule

  Bases: `object`

  SNES norm schedule.

  See also

  `SNESNormSchedule`

  Attributes Summary

  `ALWAYS` | Constant `ALWAYS` of type `int`
  `DEFAULT` | Constant `DEFAULT` of type `int`
  `FINAL_ONLY` | Constant `FINAL_ONLY` of type `int`
  `INITIAL_FINAL_ONLY` | Constant `INITIAL_FINAL_ONLY` of type `int`
  `INITIAL_ONLY` | Constant `INITIAL_ONLY` of type `int`
  `NONE` | Constant `NONE` of type `int`
  `NORM_ALWAYS` | Constant `NORM_ALWAYS` of type `int`
  `NORM_DEFAULT` | Constant `NORM_DEFAULT` of type `int`
  `NORM_FINAL_ONLY` | Constant `NORM_FINAL_ONLY` of type `int`
  `NORM_INITIAL_FINAL_ONLY` | Constant `NORM_INITIAL_FINAL_ONLY` of type `int`
  `NORM_INITIAL_ONLY` | Constant `NORM_INITIAL_ONLY` of type `int`
  `NORM_NONE` | Constant `NORM_NONE` of type `int`

  Attributes Documentation

  ALWAYS: int = ALWAYS

    Constant `ALWAYS` of type `int`

  DEFAULT: int = DEFAULT

    Constant `DEFAULT` of type `int`

  FINAL_ONLY: int = FINAL_ONLY

    Constant `FINAL_ONLY` of type `int`

  INITIAL_FINAL_ONLY: int = INITIAL_FINAL_ONLY

    Constant `INITIAL_FINAL_ONLY` of type `int`

  INITIAL_ONLY: int = INITIAL_ONLY

    Constant `INITIAL_ONLY` of type `int`

  NONE: int = NONE

    Constant `NONE` of type `int`

  NORM_ALWAYS: int = NORM_ALWAYS

    Constant `NORM_ALWAYS` of type `int`

  NORM_DEFAULT: int = NORM_DEFAULT

    Constant `NORM_DEFAULT` of type `int`

  NORM_FINAL_ONLY: int = NORM_FINAL_ONLY

    Constant `NORM_FINAL_ONLY` of type `int`

  NORM_INITIAL_FINAL_ONLY: int = NORM_INITIAL_FINAL_ONLY

    Constant `NORM_INITIAL_FINAL_ONLY` of type `int`

  NORM_INITIAL_ONLY: int = NORM_INITIAL_ONLY

    Constant `NORM_INITIAL_ONLY` of type `int`

  NORM_NONE: int = NORM_NONE

    Constant `NORM_NONE` of type `int`